import request from '@/utils/request'

// 查询动态图片列表
export function listUserMomentImages(query) {
  return request({
    url: '/service/userMomentImages/list',
    method: 'get',
    params: query
  })
}

// 查询动态图片详细
export function getUserMomentImages(id) {
  return request({
    url: '/service/userMomentImages/' + id,
    method: 'get'
  })
}

// 新增动态图片
export function addUserMomentImages(data) {
  return request({
    url: '/service/userMomentImages',
    method: 'post',
    data: data
  })
}

// 修改动态图片
export function updateUserMomentImages(data) {
  return request({
    url: '/service/userMomentImages',
    method: 'put',
    data: data
  })
}

// 删除动态图片
export function delUserMomentImages(id) {
  return request({
    url: '/service/userMomentImages/' + id,
    method: 'delete'
  })
}
